Deleted Added
full compact
configure (17683) configure (26175)
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.10
4# Generated automatically using autoconf version 2.12
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local

--- 31 unchanged lines hidden (view full) ---

44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local

--- 31 unchanged lines hidden (view full) ---

44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52# Maximum number of lines to put in a shell here document.
53ac_max_here_lines=12
52
53ac_prev=
54for ac_option
55do
56
57 # If the previous option needs an argument, assign it.
58 if test -n "$ac_prev"; then
59 eval "$ac_prev=\$ac_option"

--- 265 unchanged lines hidden (view full) ---

325 ac_prev=target ;;
326 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
327 target="$ac_optarg" ;;
328
329 -v | -verbose | --verbose | --verbos | --verbo | --verb)
330 verbose=yes ;;
331
332 -version | --version | --versio | --versi | --vers)
54
55ac_prev=
56for ac_option
57do
58
59 # If the previous option needs an argument, assign it.
60 if test -n "$ac_prev"; then
61 eval "$ac_prev=\$ac_option"

--- 265 unchanged lines hidden (view full) ---

327 ac_prev=target ;;
328 -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
329 target="$ac_optarg" ;;
330
331 -v | -verbose | --verbose | --verbos | --verbo | --verb)
332 verbose=yes ;;
333
334 -version | --version | --versio | --versi | --vers)
333 echo "configure generated by autoconf version 2.10"
335 echo "configure generated by autoconf version 2.12"
334 exit 0 ;;
335
336 -with-* | --with-*)
337 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
338 # Reject names that are not valid shell variable names.
339 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
340 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
341 fi

--- 85 unchanged lines hidden (view full) ---

427 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
428 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
429 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
430 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
431 esac
432done
433
434# NLS nuisances.
336 exit 0 ;;
337
338 -with-* | --with-*)
339 ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
340 # Reject names that are not valid shell variable names.
341 if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
342 { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
343 fi

--- 85 unchanged lines hidden (view full) ---

429 | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
430 *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
431 ac_configure_args="$ac_configure_args '$ac_arg'" ;;
432 *) ac_configure_args="$ac_configure_args $ac_arg" ;;
433 esac
434done
435
436# NLS nuisances.
435# Only set LANG and LC_ALL to C if already set.
436# These must not be set unconditionally because not all systems understand
437# e.g. LANG=C (notably SCO).
438if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
437# Only set these to C if already set. These must not be set unconditionally
438# because not all systems understand e.g. LANG=C (notably SCO).
439# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
440# Non-C LC_CTYPE values break the ctype check.
439if test "${LANG+set}" = set; then LANG=C; export LANG; fi
441if test "${LANG+set}" = set; then LANG=C; export LANG; fi
442if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
443if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
444if test "${LC_CTYPE+set}" = set; then LC_CTYPE=C; export LC_CTYPE; fi
440
441# confdefs.h avoids OS command line length limits that DEFS can exceed.
442rm -rf conftest* confdefs.h
443# AIX cpp loses on an empty file, so make sure it contains at least a newline.
444echo > confdefs.h
445
446# A filename unique to this package, relative to the directory that
447# configure is in, which we can look for to find out if srcdir is correct.

--- 45 unchanged lines hidden (view full) ---

493 > $cache_file
494fi
495
496ac_ext=c
497# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
498ac_cpp='$CPP $CPPFLAGS'
499ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
500ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
445
446# confdefs.h avoids OS command line length limits that DEFS can exceed.
447rm -rf conftest* confdefs.h
448# AIX cpp loses on an empty file, so make sure it contains at least a newline.
449echo > confdefs.h
450
451# A filename unique to this package, relative to the directory that
452# configure is in, which we can look for to find out if srcdir is correct.

--- 45 unchanged lines hidden (view full) ---

498 > $cache_file
499fi
500
501ac_ext=c
502# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
503ac_cpp='$CPP $CPPFLAGS'
504ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
505ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
506cross_compiling=$ac_cv_prog_cc_cross
501
502if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
503 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
504 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
505 ac_n= ac_c='
506' ac_t=' '
507 else
508 ac_n=-n ac_c= ac_t=

--- 46 unchanged lines hidden (view full) ---

555
556
557# Make sure we can run config.sub.
558if $ac_config_sub sun4 >/dev/null 2>&1; then :
559else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
560fi
561
562echo $ac_n "checking host system type""... $ac_c" 1>&6
507
508if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
509 # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
510 if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
511 ac_n= ac_c='
512' ac_t=' '
513 else
514 ac_n=-n ac_c= ac_t=

--- 46 unchanged lines hidden (view full) ---

561
562
563# Make sure we can run config.sub.
564if $ac_config_sub sun4 >/dev/null 2>&1; then :
565else { echo "configure: error: can not run $ac_config_sub" 1>&2; exit 1; }
566fi
567
568echo $ac_n "checking host system type""... $ac_c" 1>&6
569echo "configure:570: checking host system type" >&5
563
564host_alias=$host
565case "$host_alias" in
566NONE)
567 case $nonopt in
568 NONE)
569 if host_alias=`$ac_config_guess`; then :
570 else { echo "configure: error: can not guess host type; you must specify one" 1>&2; exit 1; }
571 fi ;;
572 *) host_alias=$nonopt ;;
573 esac ;;
574esac
575
576host=`$ac_config_sub $host_alias`
570
571host_alias=$host
572case "$host_alias" in
573NONE)
574 case $nonopt in
575 NONE)
576 if host_alias=`$ac_config_guess`; then :
577 else { echo "configure: error: can not guess host type; you must specify one" 1>&2; exit 1; }
578 fi ;;
579 *) host_alias=$nonopt ;;
580 esac ;;
581esac
582
583host=`$ac_config_sub $host_alias`
577host_cpu=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
578host_vendor=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
579host_os=`echo $host | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
584host_cpu=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
585host_vendor=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
586host_os=`echo $host | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
580echo "$ac_t""$host" 1>&6
581
582echo $ac_n "checking target system type""... $ac_c" 1>&6
587echo "$ac_t""$host" 1>&6
588
589echo $ac_n "checking target system type""... $ac_c" 1>&6
590echo "configure:591: checking target system type" >&5
583
584target_alias=$target
585case "$target_alias" in
586NONE)
587 case $nonopt in
588 NONE) target_alias=$host_alias ;;
589 *) target_alias=$nonopt ;;
590 esac ;;
591esac
592
593target=`$ac_config_sub $target_alias`
591
592target_alias=$target
593case "$target_alias" in
594NONE)
595 case $nonopt in
596 NONE) target_alias=$host_alias ;;
597 *) target_alias=$nonopt ;;
598 esac ;;
599esac
600
601target=`$ac_config_sub $target_alias`
594target_cpu=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
595target_vendor=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
596target_os=`echo $target | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
602target_cpu=`echo $target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
603target_vendor=`echo $target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
604target_os=`echo $target | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
597echo "$ac_t""$target" 1>&6
598
599echo $ac_n "checking build system type""... $ac_c" 1>&6
605echo "$ac_t""$target" 1>&6
606
607echo $ac_n "checking build system type""... $ac_c" 1>&6
608echo "configure:609: checking build system type" >&5
600
601build_alias=$build
602case "$build_alias" in
603NONE)
604 case $nonopt in
605 NONE) build_alias=$host_alias ;;
606 *) build_alias=$nonopt ;;
607 esac ;;
608esac
609
610build=`$ac_config_sub $build_alias`
609
610build_alias=$build
611case "$build_alias" in
612NONE)
613 case $nonopt in
614 NONE) build_alias=$host_alias ;;
615 *) build_alias=$nonopt ;;
616 esac ;;
617esac
618
619build=`$ac_config_sub $build_alias`
611build_cpu=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\1/'`
612build_vendor=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\2/'`
613build_os=`echo $build | sed 's/^\(.*\)-\(.*\)-\(.*\)$/\3/'`
620build_cpu=`echo $build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\1/'`
621build_vendor=`echo $build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\2/'`
622build_os=`echo $build | sed 's/^\([^-]*\)-\([^-]*\)-\(.*\)$/\3/'`
614echo "$ac_t""$build" 1>&6
615
616test "$host_alias" != "$target_alias" &&
617 test "$program_prefix$program_suffix$program_transform_name" = \
618 NONENONEs,x,x, &&
619 program_prefix=${target_alias}-
620
621
622umask 002
623
624if test -z "$PWD" ; then
625 PWD=`pwd`
626fi
627
623echo "$ac_t""$build" 1>&6
624
625test "$host_alias" != "$target_alias" &&
626 test "$program_prefix$program_suffix$program_transform_name" = \
627 NONENONEs,x,x, &&
628 program_prefix=${target_alias}-
629
630
631umask 002
632
633if test -z "$PWD" ; then
634 PWD=`pwd`
635fi
636
628V_CCOPT=-O
637
638 V_CCOPT=-O
629 V_INCLS=""
639 V_INCLS=""
640 if test "${CFLAGS+set}" = set; then
641 LBL_CFLAGS="$CFLAGS"
642 fi
630 if test -z "$CC" ; then
631 case "$target_os" in
632
633 bsdi*)
634 # Extract the first word of "shlicc2", so it can be a program name with args.
635set dummy shlicc2; ac_word=$2
636echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
643 if test -z "$CC" ; then
644 case "$target_os" in
645
646 bsdi*)
647 # Extract the first word of "shlicc2", so it can be a program name with args.
648set dummy shlicc2; ac_word=$2
649echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
650echo "configure:651: checking for $ac_word" >&5
637if eval "test \"`echo '$''{'ac_cv_prog_SHLICC2'+set}'`\" = set"; then
638 echo $ac_n "(cached) $ac_c" 1>&6
639else
640 if test -n "$SHLICC2"; then
641 ac_cv_prog_SHLICC2="$SHLICC2" # Let the user override the test.
642else
643 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
644 for ac_dir in $PATH; do

--- 19 unchanged lines hidden (view full) ---

664 export CC
665 fi
666 ;;
667 esac
668 fi
669 # Extract the first word of "gcc", so it can be a program name with args.
670set dummy gcc; ac_word=$2
671echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
651if eval "test \"`echo '$''{'ac_cv_prog_SHLICC2'+set}'`\" = set"; then
652 echo $ac_n "(cached) $ac_c" 1>&6
653else
654 if test -n "$SHLICC2"; then
655 ac_cv_prog_SHLICC2="$SHLICC2" # Let the user override the test.
656else
657 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
658 for ac_dir in $PATH; do

--- 19 unchanged lines hidden (view full) ---

678 export CC
679 fi
680 ;;
681 esac
682 fi
683 # Extract the first word of "gcc", so it can be a program name with args.
684set dummy gcc; ac_word=$2
685echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
686echo "configure:687: checking for $ac_word" >&5
672if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
673 echo $ac_n "(cached) $ac_c" 1>&6
674else
675 if test -n "$CC"; then
676 ac_cv_prog_CC="$CC" # Let the user override the test.
677else
678 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
679 for ac_dir in $PATH; do

--- 12 unchanged lines hidden (view full) ---

692else
693 echo "$ac_t""no" 1>&6
694fi
695
696if test -z "$CC"; then
697 # Extract the first word of "cc", so it can be a program name with args.
698set dummy cc; ac_word=$2
699echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
687if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
688 echo $ac_n "(cached) $ac_c" 1>&6
689else
690 if test -n "$CC"; then
691 ac_cv_prog_CC="$CC" # Let the user override the test.
692else
693 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
694 for ac_dir in $PATH; do

--- 12 unchanged lines hidden (view full) ---

707else
708 echo "$ac_t""no" 1>&6
709fi
710
711if test -z "$CC"; then
712 # Extract the first word of "cc", so it can be a program name with args.
713set dummy cc; ac_word=$2
714echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
715echo "configure:716: checking for $ac_word" >&5
700if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
701 echo $ac_n "(cached) $ac_c" 1>&6
702else
703 if test -n "$CC"; then
704 ac_cv_prog_CC="$CC" # Let the user override the test.
705else
706 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
707 ac_prog_rejected=no

--- 30 unchanged lines hidden (view full) ---

738 echo "$ac_t""$CC" 1>&6
739else
740 echo "$ac_t""no" 1>&6
741fi
742
743 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
744fi
745
716if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
717 echo $ac_n "(cached) $ac_c" 1>&6
718else
719 if test -n "$CC"; then
720 ac_cv_prog_CC="$CC" # Let the user override the test.
721else
722 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
723 ac_prog_rejected=no

--- 30 unchanged lines hidden (view full) ---

754 echo "$ac_t""$CC" 1>&6
755else
756 echo "$ac_t""no" 1>&6
757fi
758
759 test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
760fi
761
762echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
763echo "configure:764: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
764
765ac_ext=c
766# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
767ac_cpp='$CPP $CPPFLAGS'
768ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
769ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
770cross_compiling=$ac_cv_prog_cc_cross
771
772cat > conftest.$ac_ext <<EOF
773#line 774 "configure"
774#include "confdefs.h"
775main(){return(0);}
776EOF
777if { (eval echo configure:778: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
778 ac_cv_prog_cc_works=yes
779 # If we can't run a trivial program, we are probably using a cross compiler.
780 if (./conftest; exit) 2>/dev/null; then
781 ac_cv_prog_cc_cross=no
782 else
783 ac_cv_prog_cc_cross=yes
784 fi
785else
786 echo "configure: failed program was:" >&5
787 cat conftest.$ac_ext >&5
788 ac_cv_prog_cc_works=no
789fi
790rm -fr conftest*
791
792echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
793if test $ac_cv_prog_cc_works = no; then
794 { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
795fi
796echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
797echo "configure:798: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
798echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
799cross_compiling=$ac_cv_prog_cc_cross
800
746echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
801echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
802echo "configure:803: checking whether we are using GNU C" >&5
747if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
748 echo $ac_n "(cached) $ac_c" 1>&6
749else
750 cat > conftest.c <<EOF
751#ifdef __GNUC__
752 yes;
753#endif
754EOF
803if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
804 echo $ac_n "(cached) $ac_c" 1>&6
805else
806 cat > conftest.c <<EOF
807#ifdef __GNUC__
808 yes;
809#endif
810EOF
755if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:756: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
811if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:812: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
756 ac_cv_prog_gcc=yes
757else
758 ac_cv_prog_gcc=no
759fi
760fi
761
762echo "$ac_t""$ac_cv_prog_gcc" 1>&6
812 ac_cv_prog_gcc=yes
813else
814 ac_cv_prog_gcc=no
815fi
816fi
817
818echo "$ac_t""$ac_cv_prog_gcc" 1>&6
819
763if test $ac_cv_prog_gcc = yes; then
764 GCC=yes
820if test $ac_cv_prog_gcc = yes; then
821 GCC=yes
765 if test "${CFLAGS+set}" != set; then
766 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
767if eval "test \"`echo '$''{'ac_cv_prog_gcc_g'+set}'`\" = set"; then
822 ac_test_CFLAGS="${CFLAGS+set}"
823 ac_save_CFLAGS="$CFLAGS"
824 CFLAGS=
825 echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
826echo "configure:827: checking whether ${CC-cc} accepts -g" >&5
827if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
768 echo $ac_n "(cached) $ac_c" 1>&6
769else
770 echo 'void f(){}' > conftest.c
771if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
828 echo $ac_n "(cached) $ac_c" 1>&6
829else
830 echo 'void f(){}' > conftest.c
831if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
772 ac_cv_prog_gcc_g=yes
832 ac_cv_prog_cc_g=yes
773else
833else
774 ac_cv_prog_gcc_g=no
834 ac_cv_prog_cc_g=no
775fi
776rm -f conftest*
777
778fi
779
835fi
836rm -f conftest*
837
838fi
839
780echo "$ac_t""$ac_cv_prog_gcc_g" 1>&6
781 if test $ac_cv_prog_gcc_g = yes; then
782 CFLAGS="-g -O"
783 else
784 CFLAGS="-O"
785 fi
840echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
841 if test "$ac_test_CFLAGS" = set; then
842 CFLAGS="$ac_save_CFLAGS"
843 elif test $ac_cv_prog_cc_g = yes; then
844 CFLAGS="-g -O2"
845 else
846 CFLAGS="-O2"
786 fi
787else
788 GCC=
789 test "${CFLAGS+set}" = set || CFLAGS="-g"
790fi
791
792 if test $ac_cv_prog_gcc = yes ; then
793 if test "$SHLICC2" = yes ; then
794 ac_cv_gcc_vers=2
795 V_CCOPT=-O2
796 else
797 echo $ac_n "checking gcc version""... $ac_c" 1>&6
847 fi
848else
849 GCC=
850 test "${CFLAGS+set}" = set || CFLAGS="-g"
851fi
852
853 if test $ac_cv_prog_gcc = yes ; then
854 if test "$SHLICC2" = yes ; then
855 ac_cv_gcc_vers=2
856 V_CCOPT=-O2
857 else
858 echo $ac_n "checking gcc version""... $ac_c" 1>&6
859echo "configure:860: checking gcc version" >&5
798 if eval "test \"`echo '$''{'ac_cv_gcc_vers'+set}'`\" = set"; then
799 echo $ac_n "(cached) $ac_c" 1>&6
800else
801 ac_cv_gcc_vers=`$CC -v 2>&1 | \
802 sed -n -e '$s/.* //' -e '$s/\..*//p'`
803fi
804
805 echo "$ac_t""$ac_cv_gcc_vers" 1>&6
806 if test $ac_cv_gcc_vers -gt 1 ; then
807 V_CCOPT=-O2
808 fi
809 fi
810 else
811 echo $ac_n "checking that $CC handles ansi prototypes""... $ac_c" 1>&6
860 if eval "test \"`echo '$''{'ac_cv_gcc_vers'+set}'`\" = set"; then
861 echo $ac_n "(cached) $ac_c" 1>&6
862else
863 ac_cv_gcc_vers=`$CC -v 2>&1 | \
864 sed -n -e '$s/.* //' -e '$s/\..*//p'`
865fi
866
867 echo "$ac_t""$ac_cv_gcc_vers" 1>&6
868 if test $ac_cv_gcc_vers -gt 1 ; then
869 V_CCOPT=-O2
870 fi
871 fi
872 else
873 echo $ac_n "checking that $CC handles ansi prototypes""... $ac_c" 1>&6
874echo "configure:875: checking that $CC handles ansi prototypes" >&5
812 if eval "test \"`echo '$''{'ac_cv_cc_ansi_prototypes'+set}'`\" = set"; then
813 echo $ac_n "(cached) $ac_c" 1>&6
814else
815 cat > conftest.$ac_ext <<EOF
875 if eval "test \"`echo '$''{'ac_cv_cc_ansi_prototypes'+set}'`\" = set"; then
876 echo $ac_n "(cached) $ac_c" 1>&6
877else
878 cat > conftest.$ac_ext <<EOF
816#line 817 "configure"
879#line 880 "configure"
817#include "confdefs.h"
818#include <sys/types.h>
880#include "confdefs.h"
881#include <sys/types.h>
819int main() { return 0; }
820int t() {
882int main() {
821int frob(int, char *)
822; return 0; }
823EOF
883int frob(int, char *)
884; return 0; }
885EOF
824if { (eval echo configure:825: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
886if { (eval echo configure:887: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
825 rm -rf conftest*
826 ac_cv_cc_ansi_prototypes=yes
827else
887 rm -rf conftest*
888 ac_cv_cc_ansi_prototypes=yes
889else
890 echo "configure: failed program was:" >&5
891 cat conftest.$ac_ext >&5
828 rm -rf conftest*
829 ac_cv_cc_ansi_prototypes=no
830fi
831rm -f conftest*
892 rm -rf conftest*
893 ac_cv_cc_ansi_prototypes=no
894fi
895rm -f conftest*
832
833fi
834
835 echo "$ac_t""$ac_cv_cc_ansi_prototypes" 1>&6
836 if test $ac_cv_cc_ansi_prototypes = no ; then
837 case "$target_os" in
838
839 hpux*)
840 echo $ac_n "checking for HP-UX ansi compiler ($CC -Aa -D_HPUX_SOURCE)""... $ac_c" 1>&6
896fi
897
898 echo "$ac_t""$ac_cv_cc_ansi_prototypes" 1>&6
899 if test $ac_cv_cc_ansi_prototypes = no ; then
900 case "$target_os" in
901
902 hpux*)
903 echo $ac_n "checking for HP-UX ansi compiler ($CC -Aa -D_HPUX_SOURCE)""... $ac_c" 1>&6
904echo "configure:905: checking for HP-UX ansi compiler ($CC -Aa -D_HPUX_SOURCE)" >&5
841 savedcflags="$CFLAGS"
842 CFLAGS="-Aa -D_HPUX_SOURCE $CFLAGS"
843 if eval "test \"`echo '$''{'ac_cv_cc_hpux_cc_aa'+set}'`\" = set"; then
844 echo $ac_n "(cached) $ac_c" 1>&6
845else
846 cat > conftest.$ac_ext <<EOF
905 savedcflags="$CFLAGS"
906 CFLAGS="-Aa -D_HPUX_SOURCE $CFLAGS"
907 if eval "test \"`echo '$''{'ac_cv_cc_hpux_cc_aa'+set}'`\" = set"; then
908 echo $ac_n "(cached) $ac_c" 1>&6
909else
910 cat > conftest.$ac_ext <<EOF
847#line 848 "configure"
911#line 912 "configure"
848#include "confdefs.h"
849#include <sys/types.h>
912#include "confdefs.h"
913#include <sys/types.h>
850int main() { return 0; }
851int t() {
914int main() {
852int frob(int, char *)
853; return 0; }
854EOF
915int frob(int, char *)
916; return 0; }
917EOF
855if { (eval echo configure:856: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
918if { (eval echo configure:919: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
856 rm -rf conftest*
857 ac_cv_cc_hpux_cc_aa=yes
858else
919 rm -rf conftest*
920 ac_cv_cc_hpux_cc_aa=yes
921else
922 echo "configure: failed program was:" >&5
923 cat conftest.$ac_ext >&5
859 rm -rf conftest*
860 ac_cv_cc_hpux_cc_aa=no
861fi
862rm -f conftest*
924 rm -rf conftest*
925 ac_cv_cc_hpux_cc_aa=no
926fi
927rm -f conftest*
863
864fi
865
866 echo "$ac_t""$ac_cv_cc_hpux_cc_aa" 1>&6
867 if test $ac_cv_cc_hpux_cc_aa = no ; then
868 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
869 fi
870 CFLAGS="$savedcflags"
871 V_CCOPT="-Aa $V_CCOPT"
872 cat >> confdefs.h <<\EOF
873#define _HPUX_SOURCE 1
874EOF
875
876 ;;
877
928fi
929
930 echo "$ac_t""$ac_cv_cc_hpux_cc_aa" 1>&6
931 if test $ac_cv_cc_hpux_cc_aa = no ; then
932 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
933 fi
934 CFLAGS="$savedcflags"
935 V_CCOPT="-Aa $V_CCOPT"
936 cat >> confdefs.h <<\EOF
937#define _HPUX_SOURCE 1
938EOF
939
940 ;;
941
878 sni*)
879 echo $ac_n "checking for SINIX ansi compiler ($CC -kansi)""... $ac_c" 1>&6
880 savedcflags="$CFLAGS"
881 CFLAGS="-kansi"
882 if eval "test \"`echo '$''{'ac_cv_cc_sinix_kansi'+set}'`\" = set"; then
883 echo $ac_n "(cached) $ac_c" 1>&6
884else
885 cat > conftest.$ac_ext <<EOF
886#line 887 "configure"
887#include "confdefs.h"
888#include <sys/types.h>
889int main() { return 0; }
890int t() {
891int frob(int, char *)
892; return 0; }
893EOF
894if { (eval echo configure:895: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
895 rm -rf conftest*
896 ac_cv_cc_sinix_kansi=yes
897else
898 rm -rf conftest*
899 ac_cv_cc_sinix_kansi=no
900fi
901rm -f conftest*
902
903fi
904
905 echo "$ac_t""$ac_cv_cc_sinix_kansi" 1>&6
906 if test $ac_cv_cc_sinix_kansi = no ; then
907 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
908 fi
909 CFLAGS="$savedcflags"
910 V_CCOPT="-kansi $V_CCOPT"
911 ;;
912
913 *)
914 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
915 ;;
916 esac
917 fi
918 V_INCLS=-I/usr/local/include
919
920 case "$target_os" in
921
922 irix*)
923 V_CCOPT="$V_CCOPT -xansi -signed -g3"
924 ;;
925
926 osf*)
927 V_CCOPT="$V_CCOPT -g3"
928 ;;
929
930 ultrix*)
931 echo $ac_n "checking that Ultrix $CC hacks const in prototypes""... $ac_c" 1>&6
942 *)
943 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
944 ;;
945 esac
946 fi
947 V_INCLS=-I/usr/local/include
948
949 case "$target_os" in
950
951 irix*)
952 V_CCOPT="$V_CCOPT -xansi -signed -g3"
953 ;;
954
955 osf*)
956 V_CCOPT="$V_CCOPT -g3"
957 ;;
958
959 ultrix*)
960 echo $ac_n "checking that Ultrix $CC hacks const in prototypes""... $ac_c" 1>&6
961echo "configure:962: checking that Ultrix $CC hacks const in prototypes" >&5
932 if eval "test \"`echo '$''{'ac_cv_cc_const_proto'+set}'`\" = set"; then
933 echo $ac_n "(cached) $ac_c" 1>&6
934else
935 cat > conftest.$ac_ext <<EOF
962 if eval "test \"`echo '$''{'ac_cv_cc_const_proto'+set}'`\" = set"; then
963 echo $ac_n "(cached) $ac_c" 1>&6
964else
965 cat > conftest.$ac_ext <<EOF
936#line 937 "configure"
966#line 967 "configure"
937#include "confdefs.h"
938#include <sys/types.h>
967#include "confdefs.h"
968#include <sys/types.h>
939int main() { return 0; }
940int t() {
969int main() {
941struct a { int b; };
942 void c(const struct a *)
943; return 0; }
944EOF
970struct a { int b; };
971 void c(const struct a *)
972; return 0; }
973EOF
945if { (eval echo configure:946: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
974if { (eval echo configure:975: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
946 rm -rf conftest*
947 ac_cv_cc_const_proto=yes
948else
975 rm -rf conftest*
976 ac_cv_cc_const_proto=yes
977else
978 echo "configure: failed program was:" >&5
979 cat conftest.$ac_ext >&5
949 rm -rf conftest*
950 ac_cv_cc_const_proto=no
951fi
952rm -f conftest*
980 rm -rf conftest*
981 ac_cv_cc_const_proto=no
982fi
983rm -f conftest*
953
954fi
955
956 echo "$ac_t""$ac_cv_cc_const_proto" 1>&6
957 if test $ac_cv_cc_const_proto = no ; then
958 cat >> confdefs.h <<\EOF
959#define const
960EOF
961
962 fi
963 ;;
964 esac
965 fi
966
967
968echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
984fi
985
986 echo "$ac_t""$ac_cv_cc_const_proto" 1>&6
987 if test $ac_cv_cc_const_proto = no ; then
988 cat >> confdefs.h <<\EOF
989#define const
990EOF
991
992 fi
993 ;;
994 esac
995 fi
996
997
998echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
999echo "configure:1000: checking how to run the C preprocessor" >&5
969# On Suns, sometimes $CPP names a directory.
970if test -n "$CPP" && test -d "$CPP"; then
971 CPP=
972fi
973if test -z "$CPP"; then
974if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
975 echo $ac_n "(cached) $ac_c" 1>&6
976else
977 # This must be in double quotes, not single quotes, because CPP may get
978 # substituted into the Makefile and "${CC-cc}" will confuse make.
979 CPP="${CC-cc} -E"
980 # On the NeXT, cc -E runs the code through the compiler's parser,
981 # not just through cpp.
982 cat > conftest.$ac_ext <<EOF
1000# On Suns, sometimes $CPP names a directory.
1001if test -n "$CPP" && test -d "$CPP"; then
1002 CPP=
1003fi
1004if test -z "$CPP"; then
1005if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
1006 echo $ac_n "(cached) $ac_c" 1>&6
1007else
1008 # This must be in double quotes, not single quotes, because CPP may get
1009 # substituted into the Makefile and "${CC-cc}" will confuse make.
1010 CPP="${CC-cc} -E"
1011 # On the NeXT, cc -E runs the code through the compiler's parser,
1012 # not just through cpp.
1013 cat > conftest.$ac_ext <<EOF
983#line 984 "configure"
1014#line 1015 "configure"
984#include "confdefs.h"
985#include <assert.h>
986Syntax Error
987EOF
988ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1015#include "confdefs.h"
1016#include <assert.h>
1017Syntax Error
1018EOF
1019ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
989{ (eval echo configure:990: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1020{ (eval echo configure:1021: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
990ac_err=`grep -v '^ *+' conftest.out`
991if test -z "$ac_err"; then
992 :
993else
994 echo "$ac_err" >&5
1021ac_err=`grep -v '^ *+' conftest.out`
1022if test -z "$ac_err"; then
1023 :
1024else
1025 echo "$ac_err" >&5
1026 echo "configure: failed program was:" >&5
1027 cat conftest.$ac_ext >&5
995 rm -rf conftest*
996 CPP="${CC-cc} -E -traditional-cpp"
997 cat > conftest.$ac_ext <<EOF
1028 rm -rf conftest*
1029 CPP="${CC-cc} -E -traditional-cpp"
1030 cat > conftest.$ac_ext <<EOF
998#line 999 "configure"
1031#line 1032 "configure"
999#include "confdefs.h"
1000#include <assert.h>
1001Syntax Error
1002EOF
1003ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1032#include "confdefs.h"
1033#include <assert.h>
1034Syntax Error
1035EOF
1036ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1004{ (eval echo configure:1005: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1037{ (eval echo configure:1038: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1005ac_err=`grep -v '^ *+' conftest.out`
1006if test -z "$ac_err"; then
1007 :
1008else
1009 echo "$ac_err" >&5
1038ac_err=`grep -v '^ *+' conftest.out`
1039if test -z "$ac_err"; then
1040 :
1041else
1042 echo "$ac_err" >&5
1043 echo "configure: failed program was:" >&5
1044 cat conftest.$ac_ext >&5
1010 rm -rf conftest*
1011 CPP=/lib/cpp
1012fi
1013rm -f conftest*
1014fi
1015rm -f conftest*
1016 ac_cv_prog_CPP="$CPP"
1017fi
1018 CPP="$ac_cv_prog_CPP"
1019else
1020 ac_cv_prog_CPP="$CPP"
1021fi
1022echo "$ac_t""$CPP" 1>&6
1023
1024for ac_hdr in malloc.h sys/ioccom.h sys/sockio.h
1025do
1045 rm -rf conftest*
1046 CPP=/lib/cpp
1047fi
1048rm -f conftest*
1049fi
1050rm -f conftest*
1051 ac_cv_prog_CPP="$CPP"
1052fi
1053 CPP="$ac_cv_prog_CPP"
1054else
1055 ac_cv_prog_CPP="$CPP"
1056fi
1057echo "$ac_t""$CPP" 1>&6
1058
1059for ac_hdr in malloc.h sys/ioccom.h sys/sockio.h
1060do
1026ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
1061ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1027echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1062echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1063echo "configure:1064: checking for $ac_hdr" >&5
1028if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1029 echo $ac_n "(cached) $ac_c" 1>&6
1030else
1031 cat > conftest.$ac_ext <<EOF
1064if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1065 echo $ac_n "(cached) $ac_c" 1>&6
1066else
1067 cat > conftest.$ac_ext <<EOF
1032#line 1033 "configure"
1068#line 1069 "configure"
1033#include "confdefs.h"
1034#include <$ac_hdr>
1035EOF
1036ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1069#include "confdefs.h"
1070#include <$ac_hdr>
1071EOF
1072ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1037{ (eval echo configure:1038: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1073{ (eval echo configure:1074: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1038ac_err=`grep -v '^ *+' conftest.out`
1039if test -z "$ac_err"; then
1040 rm -rf conftest*
1041 eval "ac_cv_header_$ac_safe=yes"
1042else
1043 echo "$ac_err" >&5
1074ac_err=`grep -v '^ *+' conftest.out`
1075if test -z "$ac_err"; then
1076 rm -rf conftest*
1077 eval "ac_cv_header_$ac_safe=yes"
1078else
1079 echo "$ac_err" >&5
1080 echo "configure: failed program was:" >&5
1081 cat conftest.$ac_ext >&5
1044 rm -rf conftest*
1045 eval "ac_cv_header_$ac_safe=no"
1046fi
1047rm -f conftest*
1048fi
1049if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1050 echo "$ac_t""yes" 1>&6
1082 rm -rf conftest*
1083 eval "ac_cv_header_$ac_safe=no"
1084fi
1085rm -f conftest*
1086fi
1087if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1088 echo "$ac_t""yes" 1>&6
1051 ac_tr_hdr=HAVE_`echo $ac_hdr | tr 'abcdefghijklmnopqrstuvwxyz./\055' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ___'`
1089 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1052 cat >> confdefs.h <<EOF
1053#define $ac_tr_hdr 1
1054EOF
1055
1056else
1057 echo "$ac_t""no" 1>&6
1058fi
1059done
1060
1061
1062if test $ac_cv_prog_gcc = yes ; then
1063 echo $ac_n "checking if fixincludes is needed""... $ac_c" 1>&6
1090 cat >> confdefs.h <<EOF
1091#define $ac_tr_hdr 1
1092EOF
1093
1094else
1095 echo "$ac_t""no" 1>&6
1096fi
1097done
1098
1099
1100if test $ac_cv_prog_gcc = yes ; then
1101 echo $ac_n "checking if fixincludes is needed""... $ac_c" 1>&6
1102echo "configure:1103: checking if fixincludes is needed" >&5
1064 if eval "test \"`echo '$''{'ac_cv_gcc_fixincludes'+set}'`\" = set"; then
1065 echo $ac_n "(cached) $ac_c" 1>&6
1066else
1067 cat > conftest.$ac_ext <<EOF
1103 if eval "test \"`echo '$''{'ac_cv_gcc_fixincludes'+set}'`\" = set"; then
1104 echo $ac_n "(cached) $ac_c" 1>&6
1105else
1106 cat > conftest.$ac_ext <<EOF
1068#line 1069 "configure"
1107#line 1108 "configure"
1069#include "confdefs.h"
1070/*
1071 * This generates a "duplicate case value" when fixincludes
1072 * has not be run.
1073 */
1074# include <sys/types.h>
1075# include <sys/time.h>
1076# include <sys/ioctl.h>
1077# ifdef HAVE_SYS_IOCCOM_H
1078# include <sys/ioccom.h>
1079# endif
1108#include "confdefs.h"
1109/*
1110 * This generates a "duplicate case value" when fixincludes
1111 * has not be run.
1112 */
1113# include <sys/types.h>
1114# include <sys/time.h>
1115# include <sys/ioctl.h>
1116# ifdef HAVE_SYS_IOCCOM_H
1117# include <sys/ioccom.h>
1118# endif
1080int main() { return 0; }
1081int t() {
1119int main() {
1082switch (0) {
1083 case _IO('A', 1):;
1084 case _IO('B', 1):;
1085 }
1086; return 0; }
1087EOF
1120switch (0) {
1121 case _IO('A', 1):;
1122 case _IO('B', 1):;
1123 }
1124; return 0; }
1125EOF
1088if { (eval echo configure:1089: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1126if { (eval echo configure:1127: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1089 rm -rf conftest*
1090 ac_cv_gcc_fixincludes=yes
1091else
1127 rm -rf conftest*
1128 ac_cv_gcc_fixincludes=yes
1129else
1130 echo "configure: failed program was:" >&5
1131 cat conftest.$ac_ext >&5
1092 rm -rf conftest*
1093 ac_cv_gcc_fixincludes=no
1094fi
1095rm -f conftest*
1132 rm -rf conftest*
1133 ac_cv_gcc_fixincludes=no
1134fi
1135rm -f conftest*
1096
1097fi
1098
1099 echo "$ac_t""$ac_cv_gcc_fixincludes" 1>&6
1100 if test $ac_cv_gcc_fixincludes = no ; then
1101 # Don't cache failure
1102 unset ac_cv_gcc_fixincludes
1103 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
1104 fi
1105 fi
1106
1107for ac_func in ether_hostton strerror
1108do
1109echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1136fi
1137
1138 echo "$ac_t""$ac_cv_gcc_fixincludes" 1>&6
1139 if test $ac_cv_gcc_fixincludes = no ; then
1140 # Don't cache failure
1141 unset ac_cv_gcc_fixincludes
1142 { echo "configure: error: see the INSTALL for more info" 1>&2; exit 1; }
1143 fi
1144 fi
1145
1146for ac_func in ether_hostton strerror
1147do
1148echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
1149echo "configure:1150: checking for $ac_func" >&5
1110if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1111 echo $ac_n "(cached) $ac_c" 1>&6
1112else
1113 cat > conftest.$ac_ext <<EOF
1150if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
1151 echo $ac_n "(cached) $ac_c" 1>&6
1152else
1153 cat > conftest.$ac_ext <<EOF
1114#line 1115 "configure"
1154#line 1155 "configure"
1115#include "confdefs.h"
1116/* System header to define __stub macros and hopefully few prototypes,
1117 which can conflict with char $ac_func(); below. */
1118#include <assert.h>
1119/* Override any gcc2 internal prototype to avoid an error. */
1120/* We use char because int might match the return type of a gcc2
1121 builtin and then its argument prototype would still apply. */
1122char $ac_func();
1123
1155#include "confdefs.h"
1156/* System header to define __stub macros and hopefully few prototypes,
1157 which can conflict with char $ac_func(); below. */
1158#include <assert.h>
1159/* Override any gcc2 internal prototype to avoid an error. */
1160/* We use char because int might match the return type of a gcc2
1161 builtin and then its argument prototype would still apply. */
1162char $ac_func();
1163
1124int main() { return 0; }
1125int t() {
1164int main() {
1126
1127/* The GNU C library defines this for functions which it implements
1128 to always fail with ENOSYS. Some functions are actually named
1129 something starting with __ and the normal name is an alias. */
1130#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1131choke me
1132#else
1133$ac_func();
1134#endif
1135
1136; return 0; }
1137EOF
1165
1166/* The GNU C library defines this for functions which it implements
1167 to always fail with ENOSYS. Some functions are actually named
1168 something starting with __ and the normal name is an alias. */
1169#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
1170choke me
1171#else
1172$ac_func();
1173#endif
1174
1175; return 0; }
1176EOF
1138if { (eval echo configure:1139: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; }; then
1177if { (eval echo configure:1178: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
1139 rm -rf conftest*
1140 eval "ac_cv_func_$ac_func=yes"
1141else
1178 rm -rf conftest*
1179 eval "ac_cv_func_$ac_func=yes"
1180else
1181 echo "configure: failed program was:" >&5
1182 cat conftest.$ac_ext >&5
1142 rm -rf conftest*
1143 eval "ac_cv_func_$ac_func=no"
1144fi
1145rm -f conftest*
1183 rm -rf conftest*
1184 eval "ac_cv_func_$ac_func=no"
1185fi
1186rm -f conftest*
1146
1147fi
1187fi
1188
1148if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1149 echo "$ac_t""yes" 1>&6
1150 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1151 cat >> confdefs.h <<EOF
1152#define $ac_tr_func 1
1153EOF
1154
1155else
1156 echo "$ac_t""no" 1>&6
1157fi
1158done
1159
1160
1161echo $ac_n "checking packet capture type""... $ac_c" 1>&6
1189if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
1190 echo "$ac_t""yes" 1>&6
1191 ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
1192 cat >> confdefs.h <<EOF
1193#define $ac_tr_func 1
1194EOF
1195
1196else
1197 echo "$ac_t""no" 1>&6
1198fi
1199done
1200
1201
1202echo $ac_n "checking packet capture type""... $ac_c" 1>&6
1203echo "configure:1204: checking packet capture type" >&5
1162if test -r /dev/bpf0 ; then
1163 V_PCAP=bpf
1164elif test -r /usr/include/net/pfilt.h ; then
1165 V_PCAP=pf
1166elif test -r /dev/enet ; then
1167 V_PCAP=enet
1168elif test -r /dev/nit ; then
1169 V_PCAP=snit
1170elif test -r /usr/include/sys/net/nit.h ; then
1171 V_PCAP=nit
1172elif test -r /usr/include/net/raw.h ; then
1173 V_PCAP=snoop
1174elif test -r /usr/include/sys/dlpi.h ; then
1175 V_PCAP=dlpi
1204if test -r /dev/bpf0 ; then
1205 V_PCAP=bpf
1206elif test -r /usr/include/net/pfilt.h ; then
1207 V_PCAP=pf
1208elif test -r /dev/enet ; then
1209 V_PCAP=enet
1210elif test -r /dev/nit ; then
1211 V_PCAP=snit
1212elif test -r /usr/include/sys/net/nit.h ; then
1213 V_PCAP=nit
1214elif test -r /usr/include/net/raw.h ; then
1215 V_PCAP=snoop
1216elif test -r /usr/include/sys/dlpi.h ; then
1217 V_PCAP=dlpi
1218elif test -r /usr/include/linux/socket.h ; then
1219 V_PCAP=linux
1176elif test -c /dev/bpf0 ; then # check again in case not readable
1177 V_PCAP=bpf
1178elif test -c /dev/enet ; then # check again in case not readable
1179 V_PCAP=enet
1180elif test -c /dev/nit ; then # check again in case not readable
1181 V_PCAP=snit
1182else
1183 V_PCAP=null

--- 5 unchanged lines hidden (view full) ---

1189null)
1190 echo "configure: warning: cannot determine packet capture interface" 1>&2
1191 echo "configure: warning: (see INSTALL for more info)" 1>&2
1192 ;;
1193
1194dlpi)
1195 for ac_hdr in sys/bufmod.h sys/dlpi_ext.h
1196do
1220elif test -c /dev/bpf0 ; then # check again in case not readable
1221 V_PCAP=bpf
1222elif test -c /dev/enet ; then # check again in case not readable
1223 V_PCAP=enet
1224elif test -c /dev/nit ; then # check again in case not readable
1225 V_PCAP=snit
1226else
1227 V_PCAP=null

--- 5 unchanged lines hidden (view full) ---

1233null)
1234 echo "configure: warning: cannot determine packet capture interface" 1>&2
1235 echo "configure: warning: (see INSTALL for more info)" 1>&2
1236 ;;
1237
1238dlpi)
1239 for ac_hdr in sys/bufmod.h sys/dlpi_ext.h
1240do
1197ac_safe=`echo "$ac_hdr" | tr './\055' '___'`
1241ac_safe=`echo "$ac_hdr" | sed 'y%./+-%__p_%'`
1198echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1242echo $ac_n "checking for $ac_hdr""... $ac_c" 1>&6
1243echo "configure:1244: checking for $ac_hdr" >&5
1199if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1200 echo $ac_n "(cached) $ac_c" 1>&6
1201else
1202 cat > conftest.$ac_ext <<EOF
1244if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
1245 echo $ac_n "(cached) $ac_c" 1>&6
1246else
1247 cat > conftest.$ac_ext <<EOF
1203#line 1204 "configure"
1248#line 1249 "configure"
1204#include "confdefs.h"
1205#include <$ac_hdr>
1206EOF
1207ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1249#include "confdefs.h"
1250#include <$ac_hdr>
1251EOF
1252ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
1208{ (eval echo configure:1209: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1253{ (eval echo configure:1254: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
1209ac_err=`grep -v '^ *+' conftest.out`
1210if test -z "$ac_err"; then
1211 rm -rf conftest*
1212 eval "ac_cv_header_$ac_safe=yes"
1213else
1214 echo "$ac_err" >&5
1254ac_err=`grep -v '^ *+' conftest.out`
1255if test -z "$ac_err"; then
1256 rm -rf conftest*
1257 eval "ac_cv_header_$ac_safe=yes"
1258else
1259 echo "$ac_err" >&5
1260 echo "configure: failed program was:" >&5
1261 cat conftest.$ac_ext >&5
1215 rm -rf conftest*
1216 eval "ac_cv_header_$ac_safe=no"
1217fi
1218rm -f conftest*
1219fi
1220if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1221 echo "$ac_t""yes" 1>&6
1262 rm -rf conftest*
1263 eval "ac_cv_header_$ac_safe=no"
1264fi
1265rm -f conftest*
1266fi
1267if eval "test \"`echo '$ac_cv_header_'$ac_safe`\" = yes"; then
1268 echo "$ac_t""yes" 1>&6
1222 ac_tr_hdr=HAVE_`echo $ac_hdr | tr 'abcdefghijklmnopqrstuvwxyz./\055' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ___'`
1269 ac_tr_hdr=HAVE_`echo $ac_hdr | sed 'y%abcdefghijklmnopqrstuvwxyz./-%ABCDEFGHIJKLMNOPQRSTUVWXYZ___%'`
1223 cat >> confdefs.h <<EOF
1224#define $ac_tr_hdr 1
1225EOF
1226
1227else
1228 echo "$ac_t""no" 1>&6
1229fi
1230done
1231
1232 echo $ac_n "checking for /dev/dlpi device""... $ac_c" 1>&6
1270 cat >> confdefs.h <<EOF
1271#define $ac_tr_hdr 1
1272EOF
1273
1274else
1275 echo "$ac_t""no" 1>&6
1276fi
1277done
1278
1279 echo $ac_n "checking for /dev/dlpi device""... $ac_c" 1>&6
1280echo "configure:1281: checking for /dev/dlpi device" >&5
1233 if test -c /dev/dlpi ; then
1234 echo "$ac_t""yes" 1>&6
1235 cat >> confdefs.h <<\EOF
1236#define HAVE_DEV_DLPI 1
1237EOF
1238
1281 if test -c /dev/dlpi ; then
1282 echo "$ac_t""yes" 1>&6
1283 cat >> confdefs.h <<\EOF
1284#define HAVE_DEV_DLPI 1
1285EOF
1286
1239
1240 case "$target_os" in
1241
1242 hpux9*)
1243 cat >> confdefs.h <<\EOF
1244#define HAVE_HPUX9 1
1245EOF
1246
1247 ;;
1248
1249 esac
1250 else
1251 echo "$ac_t""no" 1>&6
1252 dir="/dev/dlpi"
1253 echo $ac_n "checking for $dir directory""... $ac_c" 1>&6
1287 else
1288 echo "$ac_t""no" 1>&6
1289 dir="/dev/dlpi"
1290 echo $ac_n "checking for $dir directory""... $ac_c" 1>&6
1291echo "configure:1292: checking for $dir directory" >&5
1254 if test -d $dir ; then
1255 echo "$ac_t""yes" 1>&6
1256 cat >> confdefs.h <<EOF
1257#define PCAP_DEV_PREFIX "$dir"
1258EOF
1259
1260 else
1261 echo "$ac_t""no" 1>&6
1262 fi
1263 fi
1264 ;;
1265esac
1266
1267for ac_prog in flex
1268do
1269# Extract the first word of "$ac_prog", so it can be a program name with args.
1270set dummy $ac_prog; ac_word=$2
1271echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1292 if test -d $dir ; then
1293 echo "$ac_t""yes" 1>&6
1294 cat >> confdefs.h <<EOF
1295#define PCAP_DEV_PREFIX "$dir"
1296EOF
1297
1298 else
1299 echo "$ac_t""no" 1>&6
1300 fi
1301 fi
1302 ;;
1303esac
1304
1305for ac_prog in flex
1306do
1307# Extract the first word of "$ac_prog", so it can be a program name with args.
1308set dummy $ac_prog; ac_word=$2
1309echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1310echo "configure:1311: checking for $ac_word" >&5
1272if eval "test \"`echo '$''{'ac_cv_prog_V_LEX'+set}'`\" = set"; then
1273 echo $ac_n "(cached) $ac_c" 1>&6
1274else
1275 if test -n "$V_LEX"; then
1276 ac_cv_prog_V_LEX="$V_LEX" # Let the user override the test.
1277else
1278 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1279 for ac_dir in $PATH; do

--- 15 unchanged lines hidden (view full) ---

1295
1296test -n "$V_LEX" && break
1297done
1298test -n "$V_LEX" || V_LEX="lex"
1299
1300 if test "$V_LEX" = flex ; then
1301 # The -V flag was added in 2.4
1302 echo $ac_n "checking for flex 2.4 or higher""... $ac_c" 1>&6
1311if eval "test \"`echo '$''{'ac_cv_prog_V_LEX'+set}'`\" = set"; then
1312 echo $ac_n "(cached) $ac_c" 1>&6
1313else
1314 if test -n "$V_LEX"; then
1315 ac_cv_prog_V_LEX="$V_LEX" # Let the user override the test.
1316else
1317 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1318 for ac_dir in $PATH; do

--- 15 unchanged lines hidden (view full) ---

1334
1335test -n "$V_LEX" && break
1336done
1337test -n "$V_LEX" || V_LEX="lex"
1338
1339 if test "$V_LEX" = flex ; then
1340 # The -V flag was added in 2.4
1341 echo $ac_n "checking for flex 2.4 or higher""... $ac_c" 1>&6
1342echo "configure:1343: checking for flex 2.4 or higher" >&5
1303 if eval "test \"`echo '$''{'ac_cv_flex_v24'+set}'`\" = set"; then
1304 echo $ac_n "(cached) $ac_c" 1>&6
1305else
1306 if flex -V >/dev/null 2>&1; then
1307 ac_cv_flex_v24=yes
1308 else
1309 ac_cv_flex_v24=no
1310 fi

--- 6 unchanged lines hidden (view full) ---

1317 V_LEX=lex
1318 fi
1319 fi
1320 for ac_prog in bison
1321do
1322# Extract the first word of "$ac_prog", so it can be a program name with args.
1323set dummy $ac_prog; ac_word=$2
1324echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1343 if eval "test \"`echo '$''{'ac_cv_flex_v24'+set}'`\" = set"; then
1344 echo $ac_n "(cached) $ac_c" 1>&6
1345else
1346 if flex -V >/dev/null 2>&1; then
1347 ac_cv_flex_v24=yes
1348 else
1349 ac_cv_flex_v24=no
1350 fi

--- 6 unchanged lines hidden (view full) ---

1357 V_LEX=lex
1358 fi
1359 fi
1360 for ac_prog in bison
1361do
1362# Extract the first word of "$ac_prog", so it can be a program name with args.
1363set dummy $ac_prog; ac_word=$2
1364echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1365echo "configure:1366: checking for $ac_word" >&5
1325if eval "test \"`echo '$''{'ac_cv_prog_V_YACC'+set}'`\" = set"; then
1326 echo $ac_n "(cached) $ac_c" 1>&6
1327else
1328 if test -n "$V_YACC"; then
1329 ac_cv_prog_V_YACC="$V_YACC" # Let the user override the test.
1330else
1331 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1332 for ac_dir in $PATH; do

--- 34 unchanged lines hidden (view full) ---

1367
1368aix*)
1369 cat >> confdefs.h <<\EOF
1370#define _SUN 1
1371EOF
1372
1373 ;;
1374
1366if eval "test \"`echo '$''{'ac_cv_prog_V_YACC'+set}'`\" = set"; then
1367 echo $ac_n "(cached) $ac_c" 1>&6
1368else
1369 if test -n "$V_YACC"; then
1370 ac_cv_prog_V_YACC="$V_YACC" # Let the user override the test.
1371else
1372 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1373 for ac_dir in $PATH; do

--- 34 unchanged lines hidden (view full) ---

1408
1409aix*)
1410 cat >> confdefs.h <<\EOF
1411#define _SUN 1
1412EOF
1413
1414 ;;
1415
1416hpux9*)
1417 cat >> confdefs.h <<\EOF
1418#define HAVE_HPUX9 1
1419EOF
1420
1421 ;;
1422
1423sinix*)
1424 echo $ac_n "checking if SINIX compiler defines sinix""... $ac_c" 1>&6
1425echo "configure:1426: checking if SINIX compiler defines sinix" >&5
1426 if eval "test \"`echo '$''{'ac_cv_cc_sinix_defined'+set}'`\" = set"; then
1427 echo $ac_n "(cached) $ac_c" 1>&6
1428else
1429 cat > conftest.$ac_ext <<EOF
1430#line 1431 "configure"
1431#include "confdefs.h"
1432
1433int main() {
1434int i = sinix;
1435; return 0; }
1436EOF
1437if { (eval echo configure:1438: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1438 rm -rf conftest*
1439 ac_cv_cc_sinix_defined=yes
1440else
1441 echo "configure: failed program was:" >&5
1442 cat conftest.$ac_ext >&5
1443 rm -rf conftest*
1444 ac_cv_cc_sinix_defined=no
1445fi
1446rm -f conftest*
1447fi
1448
1449 echo "$ac_t""$ac_cv_cc_sinix_defined" 1>&6
1450 if test $ac_cv_cc_sinix_defined = no ; then
1451 cat >> confdefs.h <<\EOF
1452#define sinix 1
1453EOF
1454
1455 fi
1456 ;;
1457
1375solaris*)
1376 cat >> confdefs.h <<\EOF
1377#define HAVE_SOLARIS 1
1378EOF
1379
1380 ;;
1458solaris*)
1459 cat >> confdefs.h <<\EOF
1460#define HAVE_SOLARIS 1
1461EOF
1462
1463 ;;
1464
1465linux*)
1466 V_INCLS="$V_INCLS -Ilinux-include"
1467 ;;
1381esac
1382
1383for ac_prog in ranlib
1384do
1385# Extract the first word of "$ac_prog", so it can be a program name with args.
1386set dummy $ac_prog; ac_word=$2
1387echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1468esac
1469
1470for ac_prog in ranlib
1471do
1472# Extract the first word of "$ac_prog", so it can be a program name with args.
1473set dummy $ac_prog; ac_word=$2
1474echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
1475echo "configure:1476: checking for $ac_word" >&5
1388if eval "test \"`echo '$''{'ac_cv_prog_V_RANLIB'+set}'`\" = set"; then
1389 echo $ac_n "(cached) $ac_c" 1>&6
1390else
1391 if test -n "$V_RANLIB"; then
1392 ac_cv_prog_V_RANLIB="$V_RANLIB" # Let the user override the test.
1393else
1394 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1395 for ac_dir in $PATH; do

--- 14 unchanged lines hidden (view full) ---

1410fi
1411
1412test -n "$V_RANLIB" && break
1413done
1414test -n "$V_RANLIB" || V_RANLIB="@true"
1415
1416
1417rm -f os-proto.h
1476if eval "test \"`echo '$''{'ac_cv_prog_V_RANLIB'+set}'`\" = set"; then
1477 echo $ac_n "(cached) $ac_c" 1>&6
1478else
1479 if test -n "$V_RANLIB"; then
1480 ac_cv_prog_V_RANLIB="$V_RANLIB" # Let the user override the test.
1481else
1482 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1483 for ac_dir in $PATH; do

--- 14 unchanged lines hidden (view full) ---

1498fi
1499
1500test -n "$V_RANLIB" && break
1501done
1502test -n "$V_RANLIB" || V_RANLIB="@true"
1503
1504
1505rm -f os-proto.h
1506 if test "${LBL_CFLAGS+set}" = set; then
1507 V_CCOPT="$V_CCOPT ${LBL_CFLAGS}"
1508 fi
1418 if test $ac_cv_prog_gcc = yes -a -f .devel ; then
1509 if test $ac_cv_prog_gcc = yes -a -f .devel ; then
1419 if test $ac_cv_prog_gcc_g = yes ; then
1420 V_CCOPT="-g $V_CCOPT"
1510 if test "${LBL_CFLAGS+set}" != set; then
1511 if test "$ac_cv_prog_cc_g" = yes ; then
1512 V_CCOPT="-g $V_CCOPT"
1513 fi
1514 V_CCOPT="$V_CCOPT -Wall"
1515 if test $ac_cv_gcc_vers -gt 1 ; then
1516 V_CCOPT="$V_CCOPT -Wmissing-prototypes -Wstrict-prototypes"
1517 fi
1421 fi
1518 fi
1422 V_CCOPT="$V_CCOPT -Wall"
1423 if test $ac_cv_gcc_vers -gt 1 ; then
1424 V_CCOPT="$V_CCOPT -Wmissing-prototypes -Wstrict-prototypes"
1425 fi
1426 os=`echo $target_os | sed -e 's/\([0-9]\)[0-9.][0-9.]*$/\1/'`
1519 os=`echo $target_os | sed -e 's/\([0-9][0-9]*\)[^0-9].*$/\1/'`
1427 name="lbl/os-$os.h"
1428 if test -f $name ; then
1429 ln -s $name os-proto.h
1430 cat >> confdefs.h <<\EOF
1431#define HAVE_OS_PROTO_H 1
1432EOF
1433
1434 else
1435 echo "configure: warning: can't find $name" 1>&2
1436 fi
1437 fi
1438
1439echo $ac_n "checking if sockaddr struct has sa_len member""... $ac_c" 1>&6
1520 name="lbl/os-$os.h"
1521 if test -f $name ; then
1522 ln -s $name os-proto.h
1523 cat >> confdefs.h <<\EOF
1524#define HAVE_OS_PROTO_H 1
1525EOF
1526
1527 else
1528 echo "configure: warning: can't find $name" 1>&2
1529 fi
1530 fi
1531
1532echo $ac_n "checking if sockaddr struct has sa_len member""... $ac_c" 1>&6
1533echo "configure:1534: checking if sockaddr struct has sa_len member" >&5
1440 if eval "test \"`echo '$''{'ac_cv_sockaddr_has_sa_len'+set}'`\" = set"; then
1441 echo $ac_n "(cached) $ac_c" 1>&6
1442else
1443 cat > conftest.$ac_ext <<EOF
1534 if eval "test \"`echo '$''{'ac_cv_sockaddr_has_sa_len'+set}'`\" = set"; then
1535 echo $ac_n "(cached) $ac_c" 1>&6
1536else
1537 cat > conftest.$ac_ext <<EOF
1444#line 1445 "configure"
1538#line 1539 "configure"
1445#include "confdefs.h"
1446
1447# include <sys/types.h>
1448# include <sys/socket.h>
1539#include "confdefs.h"
1540
1541# include <sys/types.h>
1542# include <sys/socket.h>
1449int main() { return 0; }
1450int t() {
1543int main() {
1451u_int i = sizeof(((struct sockaddr *)0)->sa_len)
1452; return 0; }
1453EOF
1544u_int i = sizeof(((struct sockaddr *)0)->sa_len)
1545; return 0; }
1546EOF
1454if { (eval echo configure:1455: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1547if { (eval echo configure:1548: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1455 rm -rf conftest*
1456 ac_cv_sockaddr_has_sa_len=yes
1457else
1548 rm -rf conftest*
1549 ac_cv_sockaddr_has_sa_len=yes
1550else
1551 echo "configure: failed program was:" >&5
1552 cat conftest.$ac_ext >&5
1458 rm -rf conftest*
1459 ac_cv_sockaddr_has_sa_len=no
1460fi
1461rm -f conftest*
1553 rm -rf conftest*
1554 ac_cv_sockaddr_has_sa_len=no
1555fi
1556rm -f conftest*
1462
1463fi
1464
1465 echo "$ac_t""$ac_cv_sockaddr_has_sa_len" 1>&6
1466 if test $ac_cv_sockaddr_has_sa_len = yes ; then
1467 cat >> confdefs.h <<\EOF
1468#define HAVE_SOCKADDR_SA_LEN 1
1469EOF
1470
1471 fi
1472
1473echo $ac_n "checking if unaligned accesses fail""... $ac_c" 1>&6
1557fi
1558
1559 echo "$ac_t""$ac_cv_sockaddr_has_sa_len" 1>&6
1560 if test $ac_cv_sockaddr_has_sa_len = yes ; then
1561 cat >> confdefs.h <<\EOF
1562#define HAVE_SOCKADDR_SA_LEN 1
1563EOF
1564
1565 fi
1566
1567echo $ac_n "checking if unaligned accesses fail""... $ac_c" 1>&6
1568echo "configure:1569: checking if unaligned accesses fail" >&5
1474 if eval "test \"`echo '$''{'ac_cv_unaligned_fail'+set}'`\" = set"; then
1475 echo $ac_n "(cached) $ac_c" 1>&6
1476else
1477 case "$target_cpu" in
1478
1479 alpha|hp*|mips|sparc)
1480 ac_cv_unaligned_fail=yes
1481 ;;

--- 15 unchanged lines hidden (view full) ---

1497 if (pid > 0) {
1498 /* parent */
1499 pid = waitpid(pid, &status, 0);
1500 if (pid < 0)
1501 exit(3);
1502 exit(!WIFEXITED(status));
1503 }
1504 /* child */
1569 if eval "test \"`echo '$''{'ac_cv_unaligned_fail'+set}'`\" = set"; then
1570 echo $ac_n "(cached) $ac_c" 1>&6
1571else
1572 case "$target_cpu" in
1573
1574 alpha|hp*|mips|sparc)
1575 ac_cv_unaligned_fail=yes
1576 ;;

--- 15 unchanged lines hidden (view full) ---

1592 if (pid > 0) {
1593 /* parent */
1594 pid = waitpid(pid, &status, 0);
1595 if (pid < 0)
1596 exit(3);
1597 exit(!WIFEXITED(status));
1598 }
1599 /* child */
1505 i = *(unsigned int *)&a1;
1600 i = *(unsigned int *)&a[1];
1506 printf("%d\n", i);
1507 exit(0);
1508 }
1509EOF
1510 ${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS \
1511 conftest.c $LIBS >/dev/null 2>&1
1512 if test ! -x conftest ; then
1513 ac_cv_unaligned_fail=yes

--- 41 unchanged lines hidden (view full) ---

1555# SysV /etc/install, /usr/sbin/install
1556# SunOS /usr/etc/install
1557# IRIX /sbin/install
1558# AIX /bin/install
1559# AFS /usr/afsws/bin/install, which mishandles nonexistent args
1560# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
1561# ./install, which can be erroneously created by make from ./install.sh.
1562echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
1601 printf("%d\n", i);
1602 exit(0);
1603 }
1604EOF
1605 ${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS \
1606 conftest.c $LIBS >/dev/null 2>&1
1607 if test ! -x conftest ; then
1608 ac_cv_unaligned_fail=yes

--- 41 unchanged lines hidden (view full) ---

1650# SysV /etc/install, /usr/sbin/install
1651# SunOS /usr/etc/install
1652# IRIX /sbin/install
1653# AIX /bin/install
1654# AFS /usr/afsws/bin/install, which mishandles nonexistent args
1655# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
1656# ./install, which can be erroneously created by make from ./install.sh.
1657echo $ac_n "checking for a BSD compatible install""... $ac_c" 1>&6
1658echo "configure:1659: checking for a BSD compatible install" >&5
1563if test -z "$INSTALL"; then
1564if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
1565 echo $ac_n "(cached) $ac_c" 1>&6
1566else
1659if test -z "$INSTALL"; then
1660if eval "test \"`echo '$''{'ac_cv_path_install'+set}'`\" = set"; then
1661 echo $ac_n "(cached) $ac_c" 1>&6
1662else
1567 IFS="${IFS= }"; ac_save_ifs="$IFS"; IFS="${IFS}:"
1663 IFS="${IFS= }"; ac_save_IFS="$IFS"; IFS="${IFS}:"
1568 for ac_dir in $PATH; do
1569 # Account for people who put trailing slashes in PATH elements.
1570 case "$ac_dir/" in
1571 /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
1572 *)
1573 # OSF1 and SCO ODT 3.0 have their own names for install.
1574 for ac_prog in ginstall installbsd scoinst install; do
1575 if test -f $ac_dir/$ac_prog; then

--- 6 unchanged lines hidden (view full) ---

1582 ac_cv_path_install="$ac_dir/$ac_prog -c"
1583 break 2
1584 fi
1585 fi
1586 done
1587 ;;
1588 esac
1589 done
1664 for ac_dir in $PATH; do
1665 # Account for people who put trailing slashes in PATH elements.
1666 case "$ac_dir/" in
1667 /|./|.//|/etc/*|/usr/sbin/*|/usr/etc/*|/sbin/*|/usr/afsws/bin/*|/usr/ucb/*) ;;
1668 *)
1669 # OSF1 and SCO ODT 3.0 have their own names for install.
1670 for ac_prog in ginstall installbsd scoinst install; do
1671 if test -f $ac_dir/$ac_prog; then

--- 6 unchanged lines hidden (view full) ---

1678 ac_cv_path_install="$ac_dir/$ac_prog -c"
1679 break 2
1680 fi
1681 fi
1682 done
1683 ;;
1684 esac
1685 done
1590 IFS="$ac_save_ifs"
1686 IFS="$ac_save_IFS"
1591
1592fi
1593 if test "${ac_cv_path_install+set}" = set; then
1594 INSTALL="$ac_cv_path_install"
1595 else
1596 # As a last resort, use the slow shell script. We don't cache a
1597 # path for INSTALL within a source directory, because that will
1598 # break other packages using the cache if that directory is

--- 22 unchanged lines hidden (view full) ---

1621# the --cache-file=FILE option to use a different cache file; that is
1622# what configure does when it calls configure scripts in
1623# subdirectories, so they share the cache.
1624# Giving --cache-file=/dev/null disables caching, for debugging configure.
1625# config.status only pays attention to the cache file if you give it the
1626# --recheck option to rerun configure.
1627#
1628EOF
1687
1688fi
1689 if test "${ac_cv_path_install+set}" = set; then
1690 INSTALL="$ac_cv_path_install"
1691 else
1692 # As a last resort, use the slow shell script. We don't cache a
1693 # path for INSTALL within a source directory, because that will
1694 # break other packages using the cache if that directory is

--- 22 unchanged lines hidden (view full) ---

1717# the --cache-file=FILE option to use a different cache file; that is
1718# what configure does when it calls configure scripts in
1719# subdirectories, so they share the cache.
1720# Giving --cache-file=/dev/null disables caching, for debugging configure.
1721# config.status only pays attention to the cache file if you give it the
1722# --recheck option to rerun configure.
1723#
1724EOF
1725# The following way of writing the cache mishandles newlines in values,
1726# but we know of no workaround that is simple, portable, and efficient.
1727# So, don't put newlines in cache variables' values.
1629# Ultrix sh set writes to stderr and can't be redirected directly,
1630# and sets the high bit in the cache file unless we assign to the vars.
1631(set) 2>&1 |
1728# Ultrix sh set writes to stderr and can't be redirected directly,
1729# and sets the high bit in the cache file unless we assign to the vars.
1730(set) 2>&1 |
1632 sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
1633 >> confcache
1731 case `(ac_space=' '; set) 2>&1` in
1732 *ac_space=\ *)
1733 # `set' does not quote correctly, so add quotes (double-quote substitution
1734 # turns \\\\ into \\, and sed turns \\ into \).
1735 sed -n \
1736 -e "s/'/'\\\\''/g" \
1737 -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1738 ;;
1739 *)
1740 # `set' quotes correctly as required by POSIX, so do not add quotes.
1741 sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1742 ;;
1743 esac >> confcache
1634if cmp -s $cache_file confcache; then
1635 :
1636else
1637 if test -w $cache_file; then
1638 echo "updating cache $cache_file"
1639 cat confcache > $cache_file
1640 else
1641 echo "not updating unwritable cache $cache_file"

--- 50 unchanged lines hidden (view full) ---

1692ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1693for ac_option
1694do
1695 case "\$ac_option" in
1696 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1697 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1698 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1699 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1744if cmp -s $cache_file confcache; then
1745 :
1746else
1747 if test -w $cache_file; then
1748 echo "updating cache $cache_file"
1749 cat confcache > $cache_file
1750 else
1751 echo "not updating unwritable cache $cache_file"

--- 50 unchanged lines hidden (view full) ---

1802ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1803for ac_option
1804do
1805 case "\$ac_option" in
1806 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1807 echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1808 exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1809 -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1700 echo "$CONFIG_STATUS generated by autoconf version 2.10"
1810 echo "$CONFIG_STATUS generated by autoconf version 2.12"
1701 exit 0 ;;
1702 -help | --help | --hel | --he | --h)
1703 echo "\$ac_cs_usage"; exit 0 ;;
1704 *) echo "\$ac_cs_usage"; exit 1 ;;
1705 esac
1706done
1707
1708ac_given_srcdir=$srcdir

--- 53 unchanged lines hidden (view full) ---

1762s%@V_CCOPT@%$V_CCOPT%g
1763s%@V_INCLS@%$V_INCLS%g
1764s%@V_PCAP@%$V_PCAP%g
1765s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
1766s%@INSTALL_DATA@%$INSTALL_DATA%g
1767
1768CEOF
1769EOF
1811 exit 0 ;;
1812 -help | --help | --hel | --he | --h)
1813 echo "\$ac_cs_usage"; exit 0 ;;
1814 *) echo "\$ac_cs_usage"; exit 1 ;;
1815 esac
1816done
1817
1818ac_given_srcdir=$srcdir

--- 53 unchanged lines hidden (view full) ---

1872s%@V_CCOPT@%$V_CCOPT%g
1873s%@V_INCLS@%$V_INCLS%g
1874s%@V_PCAP@%$V_PCAP%g
1875s%@INSTALL_PROGRAM@%$INSTALL_PROGRAM%g
1876s%@INSTALL_DATA@%$INSTALL_DATA%g
1877
1878CEOF
1879EOF
1880
1881cat >> $CONFIG_STATUS <<\EOF
1882
1883# Split the substitutions into bite-sized pieces for seds with
1884# small command number limits, like on Digital OSF/1 and HP-UX.
1885ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1886ac_file=1 # Number of current file.
1887ac_beg=1 # First line for current file.
1888ac_end=$ac_max_sed_cmds # Line after last line for current file.
1889ac_more_lines=:
1890ac_sed_cmds=""
1891while $ac_more_lines; do
1892 if test $ac_beg -gt 1; then
1893 sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1894 else
1895 sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1896 fi
1897 if test ! -s conftest.s$ac_file; then
1898 ac_more_lines=false
1899 rm -f conftest.s$ac_file
1900 else
1901 if test -z "$ac_sed_cmds"; then
1902 ac_sed_cmds="sed -f conftest.s$ac_file"
1903 else
1904 ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1905 fi
1906 ac_file=`expr $ac_file + 1`
1907 ac_beg=$ac_end
1908 ac_end=`expr $ac_end + $ac_max_sed_cmds`
1909 fi
1910done
1911if test -z "$ac_sed_cmds"; then
1912 ac_sed_cmds=cat
1913fi
1914EOF
1915
1770cat >> $CONFIG_STATUS <<EOF
1771
1772CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1773EOF
1774cat >> $CONFIG_STATUS <<\EOF
1775for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1916cat >> $CONFIG_STATUS <<EOF
1917
1918CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1919EOF
1920cat >> $CONFIG_STATUS <<\EOF
1921for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1776 # Support "outfile[:infile]", defaulting infile="outfile.in".
1922 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1777 case "$ac_file" in
1923 case "$ac_file" in
1778 *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
1924 *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1779 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1780 *) ac_file_in="${ac_file}.in" ;;
1781 esac
1782
1925 ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1926 *) ac_file_in="${ac_file}.in" ;;
1927 esac
1928
1783 # Adjust relative srcdir, etc. for subdirectories.
1929 # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1784
1785 # Remove last slash and all that follows it. Not all systems have dirname.
1786 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1787 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1788 # The file is in a subdirectory.
1789 test ! -d "$ac_dir" && mkdir "$ac_dir"
1790 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1791 # A "../" for each directory in $ac_dir_suffix.

--- 11 unchanged lines hidden (view full) ---

1803 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1804 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1805 esac
1806
1807 case "$ac_given_INSTALL" in
1808 [/$]*) INSTALL="$ac_given_INSTALL" ;;
1809 *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
1810 esac
1930
1931 # Remove last slash and all that follows it. Not all systems have dirname.
1932 ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1933 if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1934 # The file is in a subdirectory.
1935 test ! -d "$ac_dir" && mkdir "$ac_dir"
1936 ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1937 # A "../" for each directory in $ac_dir_suffix.

--- 11 unchanged lines hidden (view full) ---

1949 srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1950 top_srcdir="$ac_dots$ac_given_srcdir" ;;
1951 esac
1952
1953 case "$ac_given_INSTALL" in
1954 [/$]*) INSTALL="$ac_given_INSTALL" ;;
1955 *) INSTALL="$ac_dots$ac_given_INSTALL" ;;
1956 esac
1957
1811 echo creating "$ac_file"
1812 rm -f "$ac_file"
1813 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1814 case "$ac_file" in
1815 *Makefile*) ac_comsub="1i\\
1816# $configure_input" ;;
1817 *) ac_comsub= ;;
1818 esac
1958 echo creating "$ac_file"
1959 rm -f "$ac_file"
1960 configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1961 case "$ac_file" in
1962 *Makefile*) ac_comsub="1i\\
1963# $configure_input" ;;
1964 *) ac_comsub= ;;
1965 esac
1966
1967 ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1819 sed -e "$ac_comsub
1820s%@configure_input@%$configure_input%g
1821s%@srcdir@%$srcdir%g
1822s%@top_srcdir@%$top_srcdir%g
1823s%@INSTALL@%$INSTALL%g
1968 sed -e "$ac_comsub
1969s%@configure_input@%$configure_input%g
1970s%@srcdir@%$srcdir%g
1971s%@top_srcdir@%$top_srcdir%g
1972s%@INSTALL@%$INSTALL%g
1824" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
1973" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1825fi; done
1974fi; done
1826rm -f conftest.subs
1975rm -f conftest.s*
1827
1976
1977EOF
1978cat >> $CONFIG_STATUS <<EOF
1828
1979
1980EOF
1981cat >> $CONFIG_STATUS <<\EOF
1829
1830exit 0
1831EOF
1832chmod +x $CONFIG_STATUS
1833rm -fr confdefs* $ac_clean_files
1834test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1835
1836
1837if test -f .devel ; then
1838 make depend
1839fi
1840exit 0
1982
1983exit 0
1984EOF
1985chmod +x $CONFIG_STATUS
1986rm -fr confdefs* $ac_clean_files
1987test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1988
1989
1990if test -f .devel ; then
1991 make depend
1992fi
1993exit 0